// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from udp_msgs:srv/UdpSend.idl
// generated code does not contain a copyright notice

#ifndef UDP_MSGS__SRV__DETAIL__UDP_SEND__TRAITS_HPP_
#define UDP_MSGS__SRV__DETAIL__UDP_SEND__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "udp_msgs/srv/detail/udp_send__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

namespace udp_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const UdpSend_Request & msg,
  std::ostream & out)
{
  out << "{";
  // member: local_address
  {
    out << "local_address: ";
    rosidl_generator_traits::value_to_yaml(msg.local_address, out);
    out << ", ";
  }

  // member: local_port
  {
    out << "local_port: ";
    rosidl_generator_traits::value_to_yaml(msg.local_port, out);
    out << ", ";
  }

  // member: remote_address
  {
    out << "remote_address: ";
    rosidl_generator_traits::value_to_yaml(msg.remote_address, out);
    out << ", ";
  }

  // member: remote_port
  {
    out << "remote_port: ";
    rosidl_generator_traits::value_to_yaml(msg.remote_port, out);
    out << ", ";
  }

  // member: data
  {
    if (msg.data.size() == 0) {
      out << "data: []";
    } else {
      out << "data: [";
      size_t pending_items = msg.data.size();
      for (auto item : msg.data) {
        rosidl_generator_traits::value_to_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const UdpSend_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: local_address
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "local_address: ";
    rosidl_generator_traits::value_to_yaml(msg.local_address, out);
    out << "\n";
  }

  // member: local_port
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "local_port: ";
    rosidl_generator_traits::value_to_yaml(msg.local_port, out);
    out << "\n";
  }

  // member: remote_address
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "remote_address: ";
    rosidl_generator_traits::value_to_yaml(msg.remote_address, out);
    out << "\n";
  }

  // member: remote_port
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "remote_port: ";
    rosidl_generator_traits::value_to_yaml(msg.remote_port, out);
    out << "\n";
  }

  // member: data
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.data.size() == 0) {
      out << "data: []\n";
    } else {
      out << "data:\n";
      for (auto item : msg.data) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "- ";
        rosidl_generator_traits::value_to_yaml(item, out);
        out << "\n";
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const UdpSend_Request & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace udp_msgs

namespace rosidl_generator_traits
{

[[deprecated("use udp_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const udp_msgs::srv::UdpSend_Request & msg,
  std::ostream & out, size_t indentation = 0)
{
  udp_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use udp_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const udp_msgs::srv::UdpSend_Request & msg)
{
  return udp_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<udp_msgs::srv::UdpSend_Request>()
{
  return "udp_msgs::srv::UdpSend_Request";
}

template<>
inline const char * name<udp_msgs::srv::UdpSend_Request>()
{
  return "udp_msgs/srv/UdpSend_Request";
}

template<>
struct has_fixed_size<udp_msgs::srv::UdpSend_Request>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<udp_msgs::srv::UdpSend_Request>
  : std::integral_constant<bool, false> {};

template<>
struct is_message<udp_msgs::srv::UdpSend_Request>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace udp_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const UdpSend_Response & msg,
  std::ostream & out)
{
  out << "{";
  // member: sent
  {
    out << "sent: ";
    rosidl_generator_traits::value_to_yaml(msg.sent, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const UdpSend_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: sent
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "sent: ";
    rosidl_generator_traits::value_to_yaml(msg.sent, out);
    out << "\n";
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const UdpSend_Response & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace udp_msgs

namespace rosidl_generator_traits
{

[[deprecated("use udp_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const udp_msgs::srv::UdpSend_Response & msg,
  std::ostream & out, size_t indentation = 0)
{
  udp_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use udp_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const udp_msgs::srv::UdpSend_Response & msg)
{
  return udp_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<udp_msgs::srv::UdpSend_Response>()
{
  return "udp_msgs::srv::UdpSend_Response";
}

template<>
inline const char * name<udp_msgs::srv::UdpSend_Response>()
{
  return "udp_msgs/srv/UdpSend_Response";
}

template<>
struct has_fixed_size<udp_msgs::srv::UdpSend_Response>
  : std::integral_constant<bool, true> {};

template<>
struct has_bounded_size<udp_msgs::srv::UdpSend_Response>
  : std::integral_constant<bool, true> {};

template<>
struct is_message<udp_msgs::srv::UdpSend_Response>
  : std::true_type {};

}  // namespace rosidl_generator_traits

// Include directives for member types
// Member 'info'
#include "service_msgs/msg/detail/service_event_info__traits.hpp"

namespace udp_msgs
{

namespace srv
{

inline void to_flow_style_yaml(
  const UdpSend_Event & msg,
  std::ostream & out)
{
  out << "{";
  // member: info
  {
    out << "info: ";
    to_flow_style_yaml(msg.info, out);
    out << ", ";
  }

  // member: request
  {
    if (msg.request.size() == 0) {
      out << "request: []";
    } else {
      out << "request: [";
      size_t pending_items = msg.request.size();
      for (auto item : msg.request) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
    out << ", ";
  }

  // member: response
  {
    if (msg.response.size() == 0) {
      out << "response: []";
    } else {
      out << "response: [";
      size_t pending_items = msg.response.size();
      for (auto item : msg.response) {
        to_flow_style_yaml(item, out);
        if (--pending_items > 0) {
          out << ", ";
        }
      }
      out << "]";
    }
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const UdpSend_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: info
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "info:\n";
    to_block_style_yaml(msg.info, out, indentation + 2);
  }

  // member: request
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.request.size() == 0) {
      out << "request: []\n";
    } else {
      out << "request:\n";
      for (auto item : msg.request) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }

  // member: response
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    if (msg.response.size() == 0) {
      out << "response: []\n";
    } else {
      out << "response:\n";
      for (auto item : msg.response) {
        if (indentation > 0) {
          out << std::string(indentation, ' ');
        }
        out << "-\n";
        to_block_style_yaml(item, out, indentation + 2);
      }
    }
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const UdpSend_Event & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace srv

}  // namespace udp_msgs

namespace rosidl_generator_traits
{

[[deprecated("use udp_msgs::srv::to_block_style_yaml() instead")]]
inline void to_yaml(
  const udp_msgs::srv::UdpSend_Event & msg,
  std::ostream & out, size_t indentation = 0)
{
  udp_msgs::srv::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use udp_msgs::srv::to_yaml() instead")]]
inline std::string to_yaml(const udp_msgs::srv::UdpSend_Event & msg)
{
  return udp_msgs::srv::to_yaml(msg);
}

template<>
inline const char * data_type<udp_msgs::srv::UdpSend_Event>()
{
  return "udp_msgs::srv::UdpSend_Event";
}

template<>
inline const char * name<udp_msgs::srv::UdpSend_Event>()
{
  return "udp_msgs/srv/UdpSend_Event";
}

template<>
struct has_fixed_size<udp_msgs::srv::UdpSend_Event>
  : std::integral_constant<bool, false> {};

template<>
struct has_bounded_size<udp_msgs::srv::UdpSend_Event>
  : std::integral_constant<bool, has_bounded_size<service_msgs::msg::ServiceEventInfo>::value && has_bounded_size<udp_msgs::srv::UdpSend_Request>::value && has_bounded_size<udp_msgs::srv::UdpSend_Response>::value> {};

template<>
struct is_message<udp_msgs::srv::UdpSend_Event>
  : std::true_type {};

}  // namespace rosidl_generator_traits

namespace rosidl_generator_traits
{

template<>
inline const char * data_type<udp_msgs::srv::UdpSend>()
{
  return "udp_msgs::srv::UdpSend";
}

template<>
inline const char * name<udp_msgs::srv::UdpSend>()
{
  return "udp_msgs/srv/UdpSend";
}

template<>
struct has_fixed_size<udp_msgs::srv::UdpSend>
  : std::integral_constant<
    bool,
    has_fixed_size<udp_msgs::srv::UdpSend_Request>::value &&
    has_fixed_size<udp_msgs::srv::UdpSend_Response>::value
  >
{
};

template<>
struct has_bounded_size<udp_msgs::srv::UdpSend>
  : std::integral_constant<
    bool,
    has_bounded_size<udp_msgs::srv::UdpSend_Request>::value &&
    has_bounded_size<udp_msgs::srv::UdpSend_Response>::value
  >
{
};

template<>
struct is_service<udp_msgs::srv::UdpSend>
  : std::true_type
{
};

template<>
struct is_service_request<udp_msgs::srv::UdpSend_Request>
  : std::true_type
{
};

template<>
struct is_service_response<udp_msgs::srv::UdpSend_Response>
  : std::true_type
{
};

}  // namespace rosidl_generator_traits

#endif  // UDP_MSGS__SRV__DETAIL__UDP_SEND__TRAITS_HPP_
